# Generated by Django 4.2 on 2024-09-13 16:25

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('main', '0058_geocontext_language_code'),
    ]

    operations = [
        migrations.AddField(
            model_name='geocontext',
            name='donations_popup_probability',
            field=models.IntegerField(blank=True, default=0, validators=[django.core.validators.MinValueValidator(0), django.core.validators.MaxValueValidator(100)]),
        ),
        migrations.AddField(
            model_name='geocontext',
            name='enable_donations_text',
            field=models.BooleanField(default=False),
        ),
        migrations.CreateModel(
            name='GeoContextDonationText',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('text', models.TextField(blank=True, default='')),
                ('geo_context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='donation_texts', to='main.geocontext')),
                ('language', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='donation_texts', to='main.language')),
            ],
        ),
    ]
